Subject: Re: 2.5 development

From: Larry McVoy <[email-masked]>
Date: Fri, 15 Feb 2002 09:17:33 -0800

To export comments, you need this command (we're add it to the docs): I got it
wrong the first time:

bk changes -r+ -vnd'### Comments for :GFILE:\n$each(:C:){(:C:)\n}'

Yup, those dspecs (printf like things) are pretty weird, but well worth
understanding.  You can do some amazing things with them.  BK/Web is
essentially a pile of big dspecs handed to bk prs.

A very useful thing is this:

bk set -d -rbk-2.1.3 -r+ | bk changes -

which says "list all the changes after bk-2.1.3 and send that list to
changes to get a changes style listing".  This is what Linus (and everyone
else) uses to generate release notes.
--
---
Larry McVoy            	 lm at bitmover.com           http://www.bitmover.com/lm

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/